Returns the list of fields that will be returned in the response

- « SolrQuery::getFacetSort

- SolrQuery::getFilterQueries »

- PHP Manual
- SolrQuery
- Returns the list of fields that will be returned in the response

# SolrQuery::getFields

(PECL solr >= 0.9.2)

SolrQuery::getFields — Returns the list of fields that will be returned in the response

### Description

public SolrQuery::getFields(): array

Returns the list of fields that will be returned in the response

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `null` if not set.